C++11 Standard in R3BRoot

Starting from August 10-th, 2015, compiler with C++11 support is required for building of r3broot. Minimum version for gcc is 4.8, for clang is 3.4. Developers can now make use of C++11 features.